List destinations
curl --request GET \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "leadConvertedWebhook",
"type": "webhook",
"metadata": {
"url": "https://webhooks.mailmonkey.com/salesforce-lead-converted",
"headers": {
"Authorization": "Bearer 1234"
},
"streamName": "my-data-stream",
"region": "us-east-1",
"partitionKeyTemplate": "{{.integration_id}}",
"bucket": "ampersand-integration-bucket",
"keyTemplate": "join('/', [metadata.objectName, metadata.operationId])",
"storageClass": "STANDARD"
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
]{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Destination
List destinations
GET
/
projects
/
{projectIdOrName}
/
destinations
List destinations
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
Response
List of destinations
The destination ID.
User-defined name for the destination.
Example:
"leadConvertedWebhook"
The type of the destination.
Example:
"webhook"
Show child attributes
Show child attributes
The time the destination was created.
The time the destination was updated.
Was this page helpful?
⌘I

